Bug 6468 - Authorities browsing error in OPAC
Summary: Authorities browsing error in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Janusz Kaczmarek
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-06-06 13:40 UTC by Janusz Kaczmarek
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
A screenshot illustrating the problem (28.01 KB, image/png)
2011-06-06 13:40 UTC, Janusz Kaczmarek
Details
Proposed patch (2.41 KB, patch)
2011-06-06 13:44 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Signed off Patch (2.48 KB, patch)
2011-06-15 07:37 UTC, Chris Cormack
Details | Diff | Splinter Review
proposed patch (passed QA) (2.52 KB, patch)
2011-08-11 11:59 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2011-06-06 13:40:48 UTC
Created attachment 4379 [details]
A screenshot illustrating the problem

The problem:

1. In OPAC, make an authority search for a common term, to get more than 1 page of results.
2. Try to click 2, 3 etc.

You should get an error (cf. attached screenshot).

This is because or erroneous T::T prefixing.

A patch will follow.
Comment 1 Janusz Kaczmarek 2011-06-06 13:44:52 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-06-15 07:37:25 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2011-08-11 11:59:39 UTC
Created attachment 4964 [details] [review]
proposed patch (passed QA)

QA comment

As for previous patch: standard solution to a wellknown H:T => T:T problem
Comment 4 Chris Cormack 2011-08-12 02:11:23 UTC
Pushed please test